<!--  -->
<template>
  <div class="share_box" :style="'height:' + fullHeight + 'px'">
    <!-- 头部 -->
    <div class="share_head">
      <div class="share_head_returnA" @click="FanHui()">
        <img src="../../assets/image/left.png" alt class="share_head_returnA_img" />
      </div>

      <!-- 标题 -->
      <div class="head_title">
        <span class="head_title_text">扫码下载</span>
      </div>
    </div>
    <!-- 线 -->
    <div class="share_segment"></div>
    <!-- 线 -->

    <!-- 文字 -->
    <div class="share_txt_box">
      <span class="share_txt">欢迎扫码下载使用云飞知虫app</span>
    </div>
    <!-- 文字 -->

    <!-- 二维码 -->
    <div class="code_box">
        <img src="../../assets/image/app.png" alt="" class="code_box_img">
    </div>
    <!-- 二维码 -->

  </div>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
//例如：import 《组件名称》 from '《组件路径》';

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      fullHeight: document.documentElement.clientHeight
    };
  },
  //监听属性 类似于data概念
  computed: {},
  //监控data中的数据变化
  watch: {
    fullHeight(val) {
      //监控浏览器高度变化
      if (!this.timer) {
        this.fullHeight = val;
        this.timer = true;
        let that = this;
        setTimeout(function() {
          //防止过度调用监测事件，导致卡顿
          that.timer = false;
        }, 400);
      }
    }
  },
  //方法集合
  methods: {
    //动态获取浏览器高度
    get_boderHeight() {
      const that = this;
      window.onresize = () => {
        return (() => {
          window.fullHeight = document.documentElement.clientHeight;
          that.fullHeight = window.fullHeight;
        })();
      };
    },

     // 返回home页面
    FanHui() {
      let _this = this;
      // _this.$router.push("/person");
      _this.$router.replace("/person");
    //   location.reload();
    },
  },
  //生命周期 - 创建完成（可以访问当前this实例）
  created() {},
  //生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {}
};
</script>
<style lang='scss'>
@import "../../assets/scss/bus.scss";
@import "../../assets/scss/share.scss";
//@import url(); 引入公共css类
</style>